# Class BlobController < ProjectResourceController

- app/controllers/blob_controller.rb

Controller for viewing a file’s blame

Methods

S
  - show

Included Modules

- ExtractsPath

Instance Public methods
show() Link

Source: show

    # File app/controllers/blob_controller.rb, line 12
    def show
      if @tree.is_blob?
        send_data(
          @tree.data,
          type: @tree.mime_type,
          disposition: 'inline',
          filename: @tree.name
        )
      else
        not_found!
      end
    end